Subject: bug#30958: 26.0.91; No documentation for key and value in the function passed to `map-keymap'

From: Drew Adams <[email-masked]>
Date: Tue, 27 Mar 2018 07:27:31 -0700 (PDT)

> > However, I searched the document, and could not find any useful
> > information regarding the value of the binding.
> 
> It is whatever you've put there, see define-key.  A keymap is really
> just a mapping from a key to an arbitrary value, though if the keymap is
> to be used as a local keymap each value should have one of the forms as
> listed in the doc for define-key.

Yes, I think that is the point: what a keymap is, and so
what its entries are that are being mapped over.

The key is to know or look up what a keymap is.  Maybe
this needs to be pointed out better in the doc string?
Maybe the doc string should point users to the doc about
keymaps?  Typically we don't do that - if a user sees a
term that is unclear we count on them looking it up.

But maybe it's not clear from the doc string that the
key here is to know what keymap is?  I would think that
that would be obvious, given that it is a function that
maps over keymap entries.  But maybe it's not.

I don't really have a suggestion for this, but maybe
Hong Xu does.